Libical API Documentation 3.0

Data Fields
icalbdbset_options Struct Reference

## Data Fields
int(* | callback )(DB *db, const DBT *dbt1, const DBT *dbt2, DBT *dbt3)
int | dbtype
u_int32_t | flag
int | mode
char *(* | pfunc )(const DBT *dbt)
icalbdbset_subdb_type | subdb

## Field Documentation

## ◆ dbtype

int icalbdbset_options::dbtype

db_open type: DB_HASH | DB_BTREE

## ◆ flag

u_int32_t icalbdbset_options::flag

DB->set_flags(): DB_DUP | DB_DUPSORT

## ◆ mode

int icalbdbset_options::mode

file mode

## ◆ pfunc

char *(* icalbdbset_options::pfunc) (const DBT *dbt)

parsing function

## ◆ subdb

icalbdbset_subdb_type icalbdbset_options::subdb

the subdatabase to open

The documentation for this struct was generated from the following file:

- icalbdbset.h